% circuitos.in
%==============================================================================

set(auto2).

formula_list(sos).
 all x1 x2 x3 x4 y1 y2 y3 y4
  (salida(x1,x2,x3,x4) & salida(y1,y2,y3,y4) ->
   salida(and(x1,y1),and(x2,y2),and(x3,y3),and(x4,y4))).

 all x1 x2 x3 x4
  (salida(x1,x2,x3,x4) ->
   salida(not(x1),not(x2),not(x3),not(x4))).

 salida(0,0,1,1).
 salida(0,1,0,1).

 -salida(0,1,1,1).

 all x (and(x,0) = 0).
 all x (and(x,1) = x).
 not(0) = 1.
 not(1) = 0.
end_of_list.

%==============================================================================
